Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227034 - Review Request: asm2-2.1-2jpp - A code manipulation tool to implement adaptable systems
Summary: Review Request: asm2-2.1-2jpp - A code manipulation tool to implement adaptab...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Permaine Cheung
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:29 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-21 20:47:13 UTC
jjohnstn: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:29:19 UTC
Spec URL: http://people.redhat.com/rafaels/specs/asm2-2.1-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/asm2-2.1-2jpp.src.rpm
Description: ASM is a code manipulation tool to implement adaptable systems.

Javadoc for asm2.

Comment 1 Jeff Johnston 2007-02-13 18:47:58 UTC
MUST:
X - release should be of form Xjpp.Y%{?dist}
X - faq.html doesn't match md5sum
X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
X license text should be included in package and marked with %doc
  - currently this is done indirectly via faq.html
  - suggest downloading license.html as well and marking as %doc

X  rpmlint on <this package>.srpm gives no output

W: asm2 non-standard-group Development/Libraries/Java
E: asm2 unknown-key GPG#c431416d
W: asm2 mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 31)

X changelog should use @ instead of "at"
X Vendor tag should not be used
X Distribution tag should be removed
X remove %define section free
X remove post and postun sections
X remove ghost
X change javadoc files section to be
  - %doc %{_javadocdir}/*
X run rpmlint on the binary RPMs
[jjohnstn@vermillion noarch]$ rpmlint asm2-2.1-2jpp.noarch.rpm 
W: asm2 non-standard-group Development/Libraries/Java
W: asm2 incoherent-version-in-changelog 0:2.1-1jpp 0:2.1-2jpp
W: asm2 wrong-file-end-of-line-encoding /usr/share/doc/asm2-2.1/README.txt
W: asm2 class-path-in-manifest /usr/share/java/asm2/asm2-xml-2.1.jar
[jjohnstn@vermillion noarch]$ rpmlint asm2-javadoc-2.1-2jpp.noarch.rpm 
W: asm2-javadoc non-standard-group Development/Documentation
W: asm2-javadoc dangerous-command-in-%post rm
W: asm2-javadoc dangerous-command-in-%postun rm



Comment 2 Andrew Overholt 2007-02-13 19:44:08 UTC
Updated SRPM and spec:

http://overholt.ca/fedora/asm2-2.1-2jpp.1.src.rpm
http://overholt.ca/fedora/asm2.spec

(In reply to comment #1)
> X - release should be of form Xjpp.Y%{?dist}

Fixed.

> X - faq.html doesn't match md5sum

Removed as it was unnecessary.

> X correct buildroot

Fixed.

> X license text should be included in package and marked with %doc
>   - currently this is done indirectly via faq.html
>   - suggest downloading license.html as well and marking as %doc

LICENSE.txt (already included) used instead.

> X  rpmlint on <this package>.srpm gives no output
> 
> W: asm2 non-standard-group Development/Libraries/Java

Fixed.

> E: asm2 unknown-key GPG#c431416d

This was because you didn't have the JPackage key on your system.

> W: asm2 mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 31)

Fixed.

> X changelog should use @ instead of "at"

I actually don't think this should be changed.

> X Vendor tag should not be used

Fixed.

> X Distribution tag should be removed

Done.

> X remove %define section free

Done.

> X remove post and postun sections

Done.

> X remove ghost

Done.

> X change javadoc files section to be
>   - %doc %{_javadocdir}/*

Done.

> W: asm2 non-standard-group Development/Libraries/Java

Fixed.

> W: asm2 incoherent-version-in-changelog 0:2.1-1jpp 0:2.1-2jpp

It seems to have gone away for me.

> W: asm2 wrong-file-end-of-line-encoding /usr/share/doc/asm2-2.1/README.txt

Fixed.

> W: asm2 class-path-in-manifest /usr/share/java/asm2/asm2-xml-2.1.jar

This I don't know how to fix.

> [jjohnstn@vermillion noarch]$ rpmlint asm2-javadoc-2.1-2jpp.noarch.rpm 
> W: asm2-javadoc non-standard-group Development/Documentation
> W: asm2-javadoc dangerous-command-in-%post rm
> W: asm2-javadoc dangerous-command-in-%postun rm

Fixed, fixed, fixed.

Comment 3 Andrew Overholt 2007-02-15 17:01:49 UTC
Updated SRPM and spec (with patch added for class-path-in-manifest):

http://overholt.ca/fedora/asm2-2.1-2jpp.1.src.rpm
http://overholt.ca/fedora/asm2.spec

Comment 4 Jeff Johnston 2007-02-15 17:20:19 UTC
Approved.

Comment 5 Permaine Cheung 2007-03-05 17:03:32 UTC
New Package CVS Request
=======================
Package Name: asm2
Short Description: A code manipulation tool to implement adaptable systems
Owners: pcheung@redhat.com
Branches: 
InitialCC: 

Comment 6 Jason Tibbitts 2007-06-21 20:39:55 UTC
Shouldn't this ticket have been closed some time ago?

Comment 7 Orion Poplawski 2011-12-21 22:23:11 UTC
Package Change Request
======================
Package Name: asm2
New Branches: el6
Owners: orion
InitialCC:

Comment 8 Gwyn Ciesla 2011-12-22 13:09:39 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.